#!/bin/sh
# Script para establecer permisos y propietarios en un plan de estudios
# para  repasa. Dominio público.

chgrp -R profesor *
chown root:profesor Makefile perm.sh
chmod -R o-xrw,g+r-w,u+rw .
chmod 4750 perm.sh
find . -type d -exec chmod gu+x {} ";"
p=`pwd`;
m=`find . -name perm.sh -user root -group profesor -perm 4750`;
for i in $m ; do 
	f=`dirname $i`; 
	if (test "$f" != ".") then { 
		echo $f; 
		cd $f; 
		./perm.sh; 
		cd $p;
	} fi; 
done;

